<?xml version="1.0"?>

<mapping>
  <class name="thegroup.projectcddb.database.CDEntryBean" identity="id" key-generator="IDENTITY">
    <map-to table="albums"/>
    <field name="id" type="integer" direct="true">
      <sql name="id" type="integer"/>
    </field>
    <field name="discId" type="string" direct="true">
      <sql name="discid" type="varchar" dirty="check"/>
    </field>
    <field name="title" type="string" direct="true">
      <sql name="dtitle" type="varchar" dirty="check"/>
    </field>
    <field name="genre" type="string" direct="true">
      <sql name="dgenre" type="varchar" dirty="check"/>
    </field>
    <field name="year" type="string" direct="true">
      <sql name="dyear" type="varchar" dirty="check"/>
    </field>
    <field name="extendedData" type="string" direct="true">
      <sql name="extd" type="varchar" dirty="check"/>
    </field>

  </class>
  <class name="thegroup.projectcddb.database.TrackBean" identity="id" key-generator="IDENTITY">
    <map-to table="tracks"/>
    <field name="id" type="integer" direct="true">
      <sql name="id" type="integer"/>
    </field>
    <field name="discId" type="string" direct="true">
      <sql name="fkey" type="varchar" dirty="check"/>
    </field>
    <field name="trackNumber" type="integer" direct="true">
      <sql name="track_number" type="integer" dirty="check"/>
    </field>
    <field name="trackName" type="string" direct="true">
      <sql name="track_name" type="varchar" dirty="check"/>
    </field>
    <field name="ext" type="string" direct="true">
      <sql name="track_info" type="varchar" dirty="check"/>
    </field>
  </class>
</mapping>
